aboutsummaryrefslogtreecommitdiff
path: root/ci/test/06_script_a.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-11-20 19:40:22 -0500
committerMarcoFalke <falke.marco@gmail.com>2019-11-21 11:01:34 -0500
commitfa041875284d01602647519cc452185ba1ad5a8f (patch)
tree6547e7cff6b10569759fd69b1a78ac6e9beacdb0 /ci/test/06_script_a.sh
parentfa0656d1ebc2a01d900fead4ce055d59eb818a1f (diff)
downloadbitcoin-fa041875284d01602647519cc452185ba1ad5a8f.tar.xz
scripted-diff: Use ci DEPENDS_DIR, remove BASE_BUILD_DIR
-BEGIN VERIFY SCRIPT- # Use ci DEPENDS_DIR sed -i -e 's|BASE_BUILD_DIR/depends|DEPENDS_DIR|g' $(git grep -l depends ci) sed -i -e 's| depends/| ${DEPENDS_DIR}/|g' $(git grep -l depends ci) # Remove redundant alias sed -i -e 's|BASE_BUILD_DIR|BASE_ROOT_DIR|g' $(git grep -l BASE_BUILD_DIR ci) -END VERIFY SCRIPT-
Diffstat (limited to 'ci/test/06_script_a.sh')
-rwxr-xr-xci/test/06_script_a.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ci/test/06_script_a.sh b/ci/test/06_script_a.sh
index f7d591e93c..b70ef47a47 100755
--- a/ci/test/06_script_a.sh
+++ b/ci/test/06_script_a.sh
@@ -6,7 +6,7 @@
export LC_ALL=C.UTF-8
-BITCOIN_CONFIG_ALL="--disable-dependency-tracking --prefix=$BASE_BUILD_DIR/depends/$HOST --bindir=$BASE_OUTDIR/bin --libdir=$BASE_OUTDIR/lib"
+BITCOIN_CONFIG_ALL="--disable-dependency-tracking --prefix=$DEPENDS_DIR/$HOST --bindir=$BASE_OUTDIR/bin --libdir=$BASE_OUTDIR/lib"
if [ -z "$NO_DEPENDS" ]; then
DOCKER_EXEC ccache --max-size=$CCACHE_SIZE
fi
@@ -54,5 +54,5 @@ DOCKER_EXEC make $MAKEJOBS $GOAL || ( echo "Build failure. Verbose build follows
END_FOLD
set +o errexit
-cd ${BASE_BUILD_DIR} || (echo "could not enter base root dir $BASE_BUILD_DIR"; exit 1)
+cd ${BASE_ROOT_DIR} || (echo "could not enter base root dir $BASE_ROOT_DIR"; exit 1)
set -o errexit